@media (prefers-color-scheme: dark) {
	body {
		background: black;
		color: white;
	}
	a:link {
		color: skyblue;
	}
	a:visited {
		color: plum;
	}
}

@font-face {
	font-family: "CJK Serif";
	src: local("Source Han Serif SC"), local("Noto Serif CJK SC"), local("Source Han Serif"), local("Noto Serif CJK");
	size-adjust: 95%;
}

@font-face {
	font-family: "CJK Sans";
	src:
	local("Source Han Sans SC"), local("Noto Sans CJK SC"),
	local("Source Han Sans"), local("Noto Sans CJK");
	size-adjust: 95%;
}

body {
    font-family: "Palatino Linotype", Palatino, "URW Palladio L", "CJK Serif", serif;
    max-width: 80ch;
    margin-inline: auto;
    padding-inline: clamp(1rem, 4vw, 3rem);
	blockquote {
		border-left: 0.1rem dotted;
		padding-left: 0.5rem;
		font-style: italic;
		margin-left: 0;
	}
}

header {
	text-align: center;
	border-bottom: 0.1rem solid;
}

hgroup p {
	text-align: end;
}

a {
	text-decoration: none;
	transition: all 0.3s;
}
a:link {
	border-bottom: 1px dashed;
}
a:hover {
	border-bottom-style: solid;
}

footer {
	text-align: center;
    font-family: "Libertinus Sans", "Linux Biolinum", "Segoe UI", "Helvetica Neue", Arial, "CJK Sans", sans-serif;
	border-top: 0.1rem solid;
}
footer p {
	font-style: italic;
}
footer nav {
	padding-top: 0.5rem;
}

